%global _empty_manifest_terminate_build 0
%global _description %{expand:
This is a backport of the BaseExceptionGroup and ExceptionGroup classes from Python 3.11.

It contains the following:

- The exceptiongroup.BaseExceptionGroup and exceptiongroup.ExceptionGroup
  classes
- A utility function (exceptiongroup.catch()) for catching exceptions possibly
  nested in an exception group
- Patches to the TracebackException class that properly formats exception
  groups (installed on import)
- An exception hook that handles formatting of exception groups through
  TracebackException (installed on import)
- Special versions of some of the functions from the traceback module, modified
  to correctly handle exception groups even when monkey patching is disabled,
  or blocked by another custom exception hook:
    - traceback.format_exception()
    - traceback.format_exception_only()
    - traceback.print_exception()
    - traceback.print_exc()

If this package is imported on Python 3.11 or later, the built-in
implementations of the exception group classes are used instead,
TracebackException is not monkey patched and the exception hook won’t be
installed.

See the standard library documentation for more information on exception
groups.}

Name:           python-exceptiongroup
Version:        1.1.1
Release:        1
Summary:        Backport of the BaseExceptionGroup and ExceptionGroup classes from Python 3.11.

License:        MIT
URL:            https://pypi.org/project/exceptiongroup/
Source:         %{pypi_source exceptiongroup}

BuildArch:      noarch

%description %_description

%package -n python3-exceptiongroup
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm	
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-editables
BuildRequires:	python3-flit-core
BuildRequires:	python3-flit-scm
 
%description -n python3-exceptiongroup %_description

%prep
%autosetup -n exceptiongroup-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-exceptiongroup
%doc README.rst
%license LICENSE
%{python3_sitelib}/exceptiongroup*.dist-info/
%{python3_sitelib}/exceptiongroup/

%changelog
* Wed Jun 14 2023 li-miaomiao_zhr <mmlidc@isoftstone.com> - 1.1.1-1
- add package exceptiongroup of version 1.1.1
